> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindsdb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Knowledge Base

**DELETE `/api/projects/{project_name}/knowledge_bases/{knowledge_base_name}`**

This API endpoint deletes a knowledge base using the `DELETE` method.

<Tip>
  Learn more about knowledge bases following [this doc page](/mindsdb_sql/knowledge_bases/overview).
</Tip>

### Path Parameters

<ParamField body="project_name" type="string" required>
  Defines the project where the knowledge bases are located. Note that the default project name is `mindsdb`.
</ParamField>

<ParamField body="knowledge_base_name" type="string" required>
  Defines the knowledge base name.
</ParamField>

### Body

None.

### Response

None.

<RequestExample>
  ```shell Shell theme={null}
  curl -X DELETE http://127.0.0.1:47334/api/projects/mindsdb/knowledge_bases/my_kb
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  200 OK
  ```
</ResponseExample>
